#ifndef INCLUDED_PAD
#define INCLUDED_PAD

#include "Button.h"

class Pad {
public:
    Button count;
    Button cross;
    Button circle;
    Button square;
    Button triangle;
    Button l1;
    Button r1;
    Button l2;
    Button r2;
    Button start;
    Button select;
    Button l3;
    Button r3;
    Button up;
    Button down;
    Button right;
    Button left;
    Button escape;
    Button space;

    virtual ~Pad(void) {}
    virtual void check(void) = 0;
};

#endif

extern Pad *create_controller(void);
